curl --request POST \
--url https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"category": "HUBSPOT_DEFINED",
"maxToObjectIds": 123,
"typeId": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Create multiple association definitions between two specified CRM object types in a single request.
curl --request POST \
--url https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"category": "HUBSPOT_DEFINED",
"maxToObjectIds": 123,
"typeId": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
表示 子属性
successful operation
The date and time when the batch operation was completed.
表示 子属性
The date and time when the batch operation started.
The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING 表示 子属性
A collection of URLs linking to related documentation or resources associated with the batch operation.
表示 子属性
The total number of errors encountered during the batch operation.
The date and time when the batch operation was requested.